package task2;

import java.util.LinkedList;

public class MotorcycleRegistry {
	
	private LinkedList<Motorcycle> motorcycles;
	
	public MotorcycleRegistry() {
		motorcycles = new LinkedList<Motorcycle>();
	}
	
	public boolean isInRegistry(Motorcycle m) {
		return motorcycles.contains(m);
	}
	
	public void addToRegistry(Motorcycle m) {
		if ( m!=null && !isInRegistry(m) )
			motorcycles.add(m);
	}
	
	public void deleteFromRegistry(Motorcycle m) {
		motorcycles.remove(m);
	}

	public void printRegistry() {
		for (int i = 0; i < motorcycles.size(); i++) {
			System.out.println( motorcycles.get(i) );
		}
	}
	
}
