package task2;

import java.util.ArrayList;

public class MotorcycleRegistry {
	
	private ArrayList<Motorcycle> motorcycles;
	
	public MotorcycleRegistry() {
		motorcycles = new ArrayList<Motorcycle>();
	}

	public boolean isInRegistry(Motorcycle m) {
		if( m != null) 
			return motorcycles.contains(m);
		else {
			System.err.println("Error!");
			return false;
		}
	}
	
	public void addMotorcycle(Motorcycle m) {
		if ( m!= null && !isInRegistry(m) )
			motorcycles.add(m);
	}
	
	public void deleteFromRegistry(Motorcycle m) {
		motorcycles.remove(m);
	}
	
	public void print() {
		for (int i = 0; i < motorcycles.size(); i++) {
			System.out.println( motorcycles.get(i) );
		}
	}
}
